Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ngram
Class EdgeNGramTokenizer.Side

    java.lang.Object
      org.apache.lucene.analysis.ngram.EdgeNGramTokenizer.Side

Enclosing class:
  EdgeNGramTokenizer

    public static class EdgeNGramTokenizer.Side

extends Object

Specifies which side of the input the n-gram should be generated from

Field Summary
`static EdgeNGramTokenizer.Side` | `BACK` Get the n-gram from the end of the input
`static EdgeNGramTokenizer.Side` | `FRONT` Get the n-gram from the front of the input

Method Summary
`String` | `getLabel()`
`static EdgeNGramTokenizer.Side` | `getSide(String sideName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRONT

    public static EdgeNGramTokenizer.Side FRONT

  Get the n-gram from the front of the input

### BACK

    public static EdgeNGramTokenizer.Side BACK

  Get the n-gram from the end of the input

Method Detail

### getLabel

    public String getLabel()

### getSide

    public static EdgeNGramTokenizer.Side getSide(String sideName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.